
It was like any other day. I woke up around 10 or 11 o'clock in the morning and got myself ready for the day. Then, I drove over to my boyfriend's house. My boyfriend and I would drive to work together because we worked in the same place. We spent a couple hours at his house playing a video game and watching a TV show called 'The Walking Dead' since we didn't have to be at work until 4:30 p.m.

We left the house at 4:20 p.m. to go the Restaurant where we were working at the time. It was raining and there was a lot of traffic because high school and middle school just ended for the day. We were driving about 55 mph in a 50 mph zone. On the left hand side of the road, there was a bunch of tall palm trees in the median in the middle of the street. I remember we lit a cigarette and were laughing but I don't remember what why we were laughing. The car in the right lane behind us decided that it wanted to get into another lane. When the driver hit us from behind, the driver's car pushed my car like it was hydro gliding toward oncoming traffic.

I remember going blank, like I was conscious but I wasn't. Everything went silent. While the car was hydro gliding, I remember looking to my right and seeing a tree and thinking that this is it; I'm going to die. At that second, everything flashed before my eyes. I remembered everything that happened to me in my life, like flash backs in fast forward motion. But at the same time, I remember looking at my boyfriend and then being in a very observant state, I guess you would call it. Then everything went blank again.

Instead of hitting the tree on the right of us, my car hit the median and then went airborne, hitting the tree in front of that one. Then the car flipped several times. It was as if I was in a deep sleep. I felt peaceful and I wasn't scared. It’s weird because I remember the accident as if I was awake the whole time. I remember the street and the left side of my car hitting the ground. I remember the look on my boyfriend's face when we were flipping. His face looked emotionless, but calm. I remember the tea bottle floating around in my car. I remember when the accident was over and we were still in the car upside down.

I felt as if I saw the outside of my car before I actually saw it. Like I saw the smoke coming out of the car, what my car looked like, and the people who were in their cars that were around us. I couldn't hear anything or smell anything. It was as if time stopped. Then all of a sudden for a second I heard my boyfriend telling me to get out of the car, but then I went back into this blank state again. Then, I was on my feet and out of the car. I don't remember unbuckling my seatbelt and crawling out. At the same time, I do remember feeling my seatbelt around me and the release button. I remember feeling around my door but not being able to open it. I remember the feeling of broken glass poking and scraping the palms of my hands but I don't remember getting out of the car.

When I got out and came back to my senses, I felt the chaos. Everyone got out of their cars and trucks to see if we were o.k. My car was beyond totaled. Luckily, my boyfriend walked away without a scratch. I had a big lump on my head and days later, I had two black and blue eyes. The car that hit us ran and no one had information on the car and didn't even see the car had hit us. My car? All my windows beside the passengers and drivers sides were gone. My front windshield caved inward and my sunroof caved in as well. I really can't believe that we are alive, especially later when my mom's friend got into a similar accident and lost his life.
